{{define "main"}}

<div class="by-tag">
  By tag:
  <ul>
    {{- range .Site.Taxonomies.tags -}}
    <li><a href="{{.Page.RelPermalink}}">{{.Page.Title | title}}</a></li>
    {{- end -}}
  </ul>
</div>

{{range (where .Site.RegularPages "Params.hidden" "!=" true).GroupByDate "2006"}}
<h2>{{.Key}}</h2>
<ul class="posts">
  {{range .Pages}}
  <li>
    <a href="{{.RelPermalink}}">{{.Title}}</a> <time datetime="{{.PublishDate.Format "2006-01-02"}}">{{.PublishDate.Format "2 Jan 2006"}}</time>
  </li>
  {{end}}
</ul>
{{end}}
{{end}}
